﻿if (([Security.Principal.WindowsPrincipal] [Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")) {
    Register-PSRepository -Name ELHCRepo -SourceLocation https://package.evidencelibrary.com/nuget/ELHealthcheck/ -InstallationPolicy Trusted
    Find-Module -Name ELHealthCheck -Repository ELHCRepo | Install-Module | Import-Module
    Set-ELHCConfig
}
else {
    Write-Warning "Attempting to elevate..."
    Start-Process powershell -Verb runas -ArgumentList "-file $PSScriptRoot\$($MyInvocation.MyCommand)"
    Write-Warning "Please run this again as an administrator"
    Write-Output $PSScriptRoot\$($MyInvocation.MyCommand)
    return
}